(function(lznews) {
	lznews.basepage = {
		DB_Name: 'lznews_local_db',
		DB_VERSION: '',
		jsonp_Server: 'http://lbapi.lznews.gov.cn/',
		epaper_server:'http://epaper.lbnews.com.cn:9999/',
		mk_Server: 'http://lbapi.lznews.gov.cn/',
		web_Server: 'http://lbrb.lznews.gov.cn/',
		appdownloadUrl: "http://a.app.qq.com/o/simple.jsp?pkgname=cn.com.lbnews.lbrb",
		timeout: 15000, //ajax请求的超时时间
		cacheKey: {
			WeixinType: 'lznews_WeixinType',
			fontSize: "lznews_FontSize",
			push: "lznews_Push",
			noImage: "lznews_NoImage",
			userName: "lznews_USERNAME",
			password: "lznews_password",
			articleId: "lznews_articleId",
			articleUrl: "lznews_articleUrl",
			articleTitle: "lznews_articleTitle",
			shareType: "lznews_sharetype", //qq或sina
			updateTime: "lznews_updatetime", //列表第一页的更新时间
			tiro: "lznews_tiro", //新手指导标志
			articleContent: "lznews_articleContent",
			widgtPath: 'lznews_widgtPath',
			releaseNotes: 'lznews_releasenotes',
			access_type: "lznews_access_type",
			access_token: "lznews_access_token",
			access_code: "lznews_access_code",
			access_expires_in: "lznews_access_expires_in",
			access_uc_token: "lznews_access_uc_token",
			access_uc_loginName: "access_uc_loginName",
			cache_hongbao_0001: "cache_hongbao_0001",
			complaints_baoliao_ID: "complaints_baoliao_ID",
			complaints_chengguan_ID: "complaints_chengguan_ID",
			complaints_bbs_ID: "complaints_bbs_ID",
			complaints_uid: "complaints_uid",
			isUseAauth: "isUseAauth",
			isUseShare: "isUseShare",
			JumpOverUpdate: "JumpOverUpdate",
			isUpdateError:"isUpdateError",
			isAutoLogin:"isAutoLogin"
		},
		copy: function(txt) {
			var that = this;
			if (that.isIOS()) {
				//获取剪切板
				var UIPasteboard = plus.ios.importClass("UIPasteboard");
				var generalPasteboard = UIPasteboard.generalPasteboard();
				// 设置/获取文本内容:
				generalPasteboard.setValueforPasteboardType(txt, "public.utf8-plain-text");
				//var value = generalPasteboard.valueForPasteboardType("public.utf8-plain-text");  
			} else {
				var Context = plus.android.importClass("android.content.Context");
				var main = plus.android.runtimeMainActivity();
				var clip = main.getSystemService(Context.CLIPBOARD_SERVICE);
				plus.android.invoke(clip, "setText", txt);
			}
			mui.toast("已成功复制到剪贴板");
		},
		showAlert: function(message) {
			plus.nativeUI.alert(message, function() {
				return;
			}, "", "好");
		},
		getTransferTime: function() {
			var that = this;
			if (that._getTransferTime) return that._getTransferTime;
			if (that.isAndroid()) that._getTransferTime = 100
			else that._getTransferTime = 300;
			return that._getTransferTime
		},
		is2GOr3G: function() {
			if (!plus.networkinfo) {
				//alert("基座版本不对");
				return true;
			}
			var netinfo = plus.networkinfo,
				type = netinfo.getCurrentType();
			return type == netinfo.CONNECTION_CELL2G || type == netinfo.CONNECTION_CELL3G || type == netinfo.CONNECTION_CELL4G;
		},
		is2G: function() {
			if (!plus.networkinfo) {
				//alert("基座版本不对");
				return true;
			}
			var type = plus.networkinfo.getCurrentType();
			return type == plus.networkinfo.CONNECTION_CELL2G;
		},
		isWIFI:function(){
			if (!plus.networkinfo) {
				return true;
			};
			var netinfo = plus.networkinfo,
				type = netinfo.getCurrentType();
			
			return type == netinfo.CONNECTION_ETHERNET || type == netinfo.CONNECTION_WIFI;
		},
		/// <summary>
		/// 是否是无图模式
		/// </summary>
		noImage: function() {
			return this.getItem(this.cacheKey.noImage)
		},
		hasNetwork: function() {
			if (!plus.networkinfo) {
				//alert("基座版本不对");
				return true;
			};

			var netinfo = plus.networkinfo,
				type = netinfo.getCurrentType();
			return type == netinfo.CONNECTION_ETHERNET || type == netinfo.CONNECTION_WIFI || type == netinfo.CONNECTION_CELL2G || type == netinfo.CONNECTION_CELL3G || type == netinfo.CONNECTION_CELL4G;
		},
		customerFontSize: {
			"大": "1.5em",
			"中": "1.3em",
			"小": "1.15em"
		},
		getFontSize: function() {
			var fontsize = this.getItem(this.cacheKey.fontSize) || {
				text: "中",
				value: "1.3em"
			};
			return fontsize;
		},
		setFontSize: function(value) {
			this.setItem(this.cacheKey.fontSize, value);
		},
		loadCategoryByPageNetwork: function(category, pagenum, onSuccess, onError, checkFunc) {
			//var _pageNum = category == "news" ? (pagenum - 1) % 4 + 1 : pagenum;
			//最新资讯一次回来40条数据
			var time = new Date().getTime(),
				that = this;

			return lznews.ajax({
				type: 'GET',
				timeout: that.timeout,
				url: that.jsonp_Server + 'all_list/' + category + 'list_' + (category == 'news' ? 1 : 2) + '0_' + pagenum + '.json',
				// type of data we are expecting in return:
				dataType: 'jsonp',
				success: function(data) {
					window.time1 = new Date().getTime()
					if (!data.list) onError(null, 'timeout');
					var isAndroid = that.isAndroid(),
						list = data.list,
						len = list.length,
						counter = 0;
					that.db.transaction(function(tx) {
						var firstnews = data.firstnews;
						if (firstnews) {
							tx.executeSql('INSERT OR REPLACE into first_news values(?,?,?,?,?,?,?,?,?,?,?)', [firstnews.id, firstnews.title, firstnews.img, firstnews.ptime, firstnews.category, firstnews.href, firstnews.count, firstnews.remark, firstnews.fav, firstnews.readflag, firstnews.androidimg]);
						}
						for (var index = 0; index < len; index++) {
							that._saveNewToDb(tx, list[index], isAndroid, function(result) {
								counter++;
								if (counter == len) that.loadCategoryByPageDB(category, pagenum, onSuccess, onError);
							});
						}
					});
				},
				error: function(xhr, type, s2) {
					if (type == 'abort') return;
					if (onError)
						onError(xhr, type);
					else
						that.alert("发生网络错误，请稍后重试");
				}
			});
		},
		getNewsInfor: function(newsid, onSuccess, onError) {
			var that = this,
				db = that.db;
			db.readTransaction(function(tr) {
				var sql = "";
				sql = "select * from article_list where id=? ";
				sql += " order by id desc limit 0, 1";

				tr.executeSql(sql, [newsid], function(tx, rs) {
					var list = [],
						rows = rs.rows,
						len = rows.length;
					//alert(len);
					if (len == 0) {
						onSuccess();
						return;
					}

					for (var i = 0; i < len; i++) {
						var item = rows.item(i);
						var images = JSON.parse(item.images);
						var thumbs = images.thumbs ? images.thumbs : "";
						var ilist = images.list ? images.list : images;
						list.push({
							id: item.id,
							showtype: item.showtype,
							catid: item.catid,
							ncatid: item.ncatid,
							title: item.title,
							description: item.description,
							url: item.url,
							inputtime: item.inputtime,
							comment: item.comment,
							copyfrom: item.copyfrom,
							thumbs: thumbs,
							images: ilist,
							readflag: item.readflag,
							listorder: item.listorder,
							islink:0
						});
					}
					onSuccess({
						list: list
					});
					//window.time1 = null
				});
			});
		},
		//加载焦点大图
		loadFocus: function(onSuccess, onError) {
			var that = this,
				db = that.db;
			//that._clearNewsDb();
			db.readTransaction(function(tr) {
				var sql = "";
				sql = "select * from article_list where 1=1 ";
				sql += " order by inputtime desc,id desc limit 0, 4";

				tr.executeSql(sql, [], function(tx, rs) {
					var list = [],
						rows = rs.rows,
						len = rows.length;
					//alert(len);
					if (len == 0) {
						onSuccess();
						return;
					}

					for (var i = 0; i < len; i++) {
						var item = rows.item(i);
						list.push({
							id: item.id,
							catid: item.catid,
							title: item.title,
							url: item.url,
							inputtime: item.inputtime,
							images: JSON.parse(item.images)
						});
					}
					onSuccess({
						list: list
					});
					//window.time1 = null
				});
			});
		},
		/**
		从本地数据库加载数据
		*/
		loadCategoryByPageDB: function(catid, inputtime, newsid, onSuccess, onError) {
			var that = this,
				db = that.db;
			//that._clearNewsDb();
			db.readTransaction(function(tr) {
				var sql = "";
				sql = "select * from article_list where 1=1 ";
				if (catid > 0) {
					sql += " and catid=" + catid;
				}
				if (newsid > 0) {
					sql += " and (inputtime<" + inputtime + " or (inputtime=" + inputtime + " and id<" + newsid + "))";
				}

				sql += " order by inputtime desc,id desc limit 0, 20";

				tr.executeSql(sql, [], function(tx, rs) {
					var list = [],
						rows = rs.rows,
						len = rows.length;
					//alert(len);
					if (len == 0) {
						onSuccess();
						return;
					}

					for (var i = 0; i < len; i++) {
						var item = rows.item(i);
						var images = JSON.parse(item.images);
						var thumbs = images.thumbs ? images.thumbs : "";
						var ilist = images.list ? images.list : images;
						list.push({
							id: item.id,
							showtype: item.showtype,
							catid: item.catid,
							ncatid: item.ncatid,
							title: item.title,
							description: item.description,
							url: item.url,
							inputtime: item.inputtime,
							comment: item.comment,
							copyfrom: item.copyfrom,
							thumbs: thumbs,
							images: ilist,
							readflag: item.readflag,
							islink:0
						});
					}
					onSuccess({
						list: list
					});
					//window.time1 = null
				});
			});
		},
		/**
		从本地数据库加载数据_微信
		*/
		loadCategoryByDBFoxWeiXin: function(inputtime, onSuccess, onError) {
			var that = this,
				db = that.db;
			//that._clearNewsDb();
			db.readTransaction(function(tr) {
				var sql = "";
				sql = "select * from weixin_list where 1=1 ";
				if (inputtime > 0) {
					sql += " and (fbdate<" + inputtime + ")";
				}

				sql += " order by fbdate desc limit 0, 1";
				console.log("sql:" + sql);
				tr.executeSql(sql, [], function(tx, rs) {
					var rows = rs.rows,
						len = rows.length;
					console.log("len=" + len);
					//alert(len);
					if (len == 0) {
						onSuccess();
						return;
					}

					onSuccess({
						data: {
							"fbdate": rows.item(0)["fbdate"],
							"data": JSON.parse(rows.item(0)["content"])
						}
					});
					//window.time1 = null
				});
			});
		},
		//加载分类信息
		loadCategoryByDBFoxPindao: function(onSuccess, onError) {
			var that = this,
				db = that.db;
			//that._clearNewsDb();
			db.readTransaction(function(tr) {
				var sql = "";
				sql = "select * from pindao_list where 1=1 ";

				console.log("sql:" + sql);
				tr.executeSql(sql, [], function(tx, rs) {
					var data = [],
						rows = rs.rows,
						len = rows.length;
					console.log(len);
					//alert(len);
					if (len == 0) {
						onSuccess();
						return;
					}
					for (var i = 0; i < len; i++) {
						var item = rows.item(i);
						//console.log(item.list);
						data.push({
							type: item.type,
							typeName: item.typeName,
							list: JSON.parse(item.list)
						});
						//data.list.push()
					}
					onSuccess({
						data: data
					});
					//window.time1 = null
				});
			});
		},
		_clearNewsDb: function() {
			var that = this;
			that.db.transaction(function(tx) {
				tx.executeSql('delete from article_list Where id>0', []);
			})
		},
		//加载论坛
		loadBaoliaoDB: function(catid, inputtime, newsid, onSuccess, onError) {
			var that = this,
				db = that.db;
			//that._clearNewsDb();
			db.readTransaction(function(tr) {
				var sql = "";
				sql = "select * from baoliao_list where 1=1 ";
				if (newsid > 0) {
					sql += " and id<" + newsid;
				}

				sql += " order by id desc limit 0, 10";

				tr.executeSql(sql, [], function(tx, rs) {
					var list = [],
						rows = rs.rows,
						len = rows.length;
					//alert(len);
					if (len == 0) {
						onSuccess();
						return;
					}

					for (var i = 0; i < len; i++) {
						var item = rows.item(i);
						var photos = JSON.parse(item.photos);
						list.push({
							id: item.id,
							uid: item.uid,
							nickname: item.nickname,
							title: item.title,
							content: item.content,
							record: item.record,
							photos: photos,
							adddate: item.adddate,
							support: item.support,
							contra: item.contra,
							comment: item.comment,
							complaints: item.complaints
						});
					}
					onSuccess({
						list: list
					});
					//window.time1 = null
				});
			});
		},
		//加载收藏夹
		loadFavorites: function(onSuccess, onError) {
			var that = this,
				db = that.db;
			//that._clearNewsDb();
			db.readTransaction(function(tr) {
				var sql = "";
				sql = "select id,url,title,inputtime,type from article_Favorites order by inputtime desc ";

				//console.log("sql:" + sql);
				tr.executeSql(sql, [], function(tx, rs) {
					var list = [],
						rows = rs.rows,
						len = rows.length;
					//alert(len);
					if (len == 0) {
						onSuccess();
						return;
					}

					for (var i = 0; i < len; i++) {
						var item = rows.item(i);
						list.push({
							id: item.id,
							url: item.url,
							title: item.title,
							inputtime: item.inputtime,
							type: item.type
						});
					}
					onSuccess({
						list: list
					});
					//window.time1 = null
				});
			});
		},
		//标识新闻为已阅
		_readNews: function(transition, id, onSuccess) {
			transition.executeSql('update article_list set readflag=1 where id = ?', [id], function(tr, result) {
				onSuccess(result);
			});
		},
		//保存焦点大图
		_saveFocusToDb: function(transition, data, onSuccess) {
			transition.executeSql('select * from article_focus where id = ?', [data.id], function(tr, result) {
				if (result.rows.item.length > 0) {
					var item = result.rows.item(0);
					var strimg = JSON.stringify(data.images);
					transition.executeSql('update article_focus set title=?,url=?,images=? where id = ?', [data.title, data.url, strimg, data.id], function(tr, result) {
						onSuccess(item);
					});
				} else {
					//data.ptime = datenow_from_csdn_network(data.ptime);
					//if(isAndroid) data.img = data.Androidimg;		
					var strimg = JSON.stringify(data.images);
					transition.executeSql('INSERT into article_focus values(?,?,?,?,?,?)', [parseInt(data.id, 10), parseInt(data.catid, 10), data.title, data.url, parseInt(data.inputtime, 10), strimg], function(tx, result) {
						onSuccess(data);
					});
				}
			});
		},
		//清除焦点大图
		_clearFocus: function() {
			var that = this;
			that.db.transaction(function(tx) {
				tx.executeSql('delete from article_focus', []);
			});
		},
		//存储新闻内容到数据库
		_saveNewToDb: function(transition, data, isAndroid, onSuccess) {
			transition.executeSql('select * from article_list where id = ?', [data.id], function(tr, result) {
				if (result.rows.length > 0) { //已存在记录，更新count和remark
					var images = {}
					images.thumbs = data.thumbs;
					images.list = data.images;
					var strimg = JSON.stringify(images);
					var item = result.rows.item(0);
					item.images= data.images;
					item.thumbs= data.thumbs;
					var _item={
							id: item.id,
							showtype: item.showtype,
							catid: item.catid,
							ncatid: item.ncatid,
							title: item.title,
							description: item.description,
							url: item.url,
							inputtime: item.inputtime,
							comment: item.comment,
							copyfrom: item.copyfrom,
							thumbs: data.thumbs,
							images: data.images,
							readflag: item.readflag,
							listorder: item.listorder,
							islink:data.islink
					};
					transition.executeSql('update article_list set showtype=?,title=?,description=?,url=?,images=?,copyfrom=?,comment=? where id = ?', [data.showtype, data.title, data.description, data.url, strimg, data.copyfrom, parseInt(data.comment, 10),data.id], function(tr, result) {
						//console.log(_item);
						onSuccess(_item);
					});
				} else {
					var images = {}
					images.thumbs = data.thumbs;
					images.list = data.images;
					var strimg = JSON.stringify(images);
					transition.executeSql('INSERT into article_list values(?,?,?,?,?,?,?,?,?,?,?,0)', [parseInt(data.id, 10), data.showtype, parseInt(data.catid, 10), parseInt(data.ncatid, 10), data.title, data.description, data.url, parseInt(data.inputtime, 10), data.copyfrom, strimg, parseInt(data.comment, 10)], function(tx, result) {
						onSuccess(data);
					});
				}
			}, function() {
				onSuccess(data);
			});
		},
		//存储微信内容到数据库
		_saveWeiXinToDb: function(transition, data, onSuccess) {

			transition.executeSql('select count(fbdate) as num from weixin_list where fbdate = ?', [data.id], function(tr, result) {

				if (result.rows.item(0).num != 0) { //已存在记录，更新count和remark

					transition.executeSql('update weixin_list set content=? where fbdate = ?', [JSON.stringify(data.data), parseInt(data.fbdate, 10)], function(tr, result) {
						onSuccess(data);
					});
				} else {

					transition.executeSql('INSERT into weixin_list values(?,?)', [parseInt(data.fbdate, 10), JSON.stringify(data.data)], function(tx, result) {
						onSuccess(data);
					});
				}
			}, function() {
				onSuccess(data);
			});
		},
		_savePindaoToDb: function(transition, data, onSuccess) {

			transition.executeSql('select count(type) as num from pindao_list where type = ?', [1], function(tr, result) {

				if (result.rows.item(0).num != 0) { //已存在记录，更新count和remark

					transition.executeSql('update pindao_list set typeName=?,list=? where id = ?', [data.typeName, JSON.stringify(data.list), data.type], function(tr, result) {
						onSuccess(data);
					});
				} else {

					transition.executeSql('INSERT into pindao_list values(?,?,?)', [data.type, data.typeName, JSON.stringify(data.list)], function(tx, result) {
						onSuccess(data);
					});
				}
			});
		},
		_saveBaoliaoToDb: function(transition, data, onSuccess) {

			transition.executeSql('select count(id) as num from baoliao_list where id = ?', [data.id], function(tr, result) {

				if (result.rows.item(0).num != 0) { //已存在记录，更新count和remark

					transition.executeSql('update baoliao_list set title=?,content=?,support=?,contra=?,comment=?,complaints=? where id = ?', [data.title, data.content, data.support, data.contra, data.comment, data.complaints, data.id], function(tr, result) {
						onSuccess(data);
					});
				} else {
					var photos = JSON.stringify(data.photos);
					transition.executeSql('INSERT into baoliao_list values(?,?,?,?,?,?,?,?,?,?,?,?)', [data.id, data.uid, data.nickname, data.title, data.content, data.record, photos, data.adddate, data.support, data.contra, data.comment, data.complaints], function(tx, result) {
						onSuccess(data);
					});
				}
			},function(){
				onSuccess(data);
			});
		},
		insertfavorites: function(transition, data, onSuccess) {
			transition.executeSql('select count(id) as num from article_Favorites where id = ?', [data.id], function(tr, result) {
				if (result.rows.item(0).num == 0) {
					transition.executeSql('INSERT into article_Favorites values(?,?,?,?,?,?,?)', [parseInt(data.id), parseInt(data.catid), parseInt(data.ncatid), data.title, data.url, parseInt(data.inputtime), parseInt(data.type)], function(tx, result) {
						if (onSuccess) onSuccess(result)
					});
				} else onSuccess(result)
			});
		},
		deletefavorites: function(transition, id, type, onSuccess) {
			transition.executeSql('delete from article_Favorites where id = ? and type= ?', [id, type], function(tr, result) {
				onSuccess(result);
			});
		},
		checkfavorites: function(transition, id, type, onSuccess) {
			transition.executeSql('select count(id) as num from article_Favorites where id = ? and type = ?', [id, type], function(tr, result) {
				if (result.rows.item(0).num !== 0) {
					onSuccess(result);
				}
			});
		},

		init: function(callback) {
			var that = this;
			that.db = openDatabase(that.DB_Name + '_' + that.DB_VERSION, '', 'lznews offline database', 30 * 1024 * 1024);

			that.db.transaction(function(tx) {
				tx.executeSql('create table if not exists article_list (id num PRIMARY KEY,showtype text,catid num,ncatid num,title text, description text, url text,inputtime num, copyfrom text, images text,comment num,readflag num)', []);
				tx.executeSql('create table if not exists article_focus (id num PRIMARY KEY,catid num,title text, url text,inputtime num, images text)', []);
				tx.executeSql('create table if not exists article_Favorites (id num ,catid num,ncatid num,title text,  url text,inputtime num,type num)', []);
				tx.executeSql('create table if not exists weixin_list (fbdate num PRIMARY KEY,content text)', []);
				tx.executeSql('create table if not exists pindao_list (type text PRIMARY KEY,typeName text,list text)', []);
				tx.executeSql('create table if not exists baoliao_list (id num PRIMARY KEY,uid num,nickname text,title text,content text,record text,photos text,adddate num,support num,contra num,comment num,complaints num)', []);
			});

			if (callback) callback();
		},
		insertArtile: function(data, onSuccess) {
			this.db.transaction(function(tx) {
				tx.executeSql('select count(id) as num from article_list where id = ?', [data.id], function(tr, result) {
					if (resuclt.rows.item(0).num == 0) {
						tx.executeSql('INSERT into article_list values(?,?,?,?,?,?,?,?,?,?,?,0)', [parseInt(data.id), data.showtype, parseInt(data.catid), parseInt(data.ncatid), data.title, data.description, data.url, parseInt(data.inputtime), data.copyfrom, data.images, parseInt(data.comment)], function(tx, result) {
							if (onSuccess) onSuccess(result)
						});
					} else onSuccess(result)
				});
			});
		},

		on: function(type, el, bubble) {
			try {
				el.addEventListener(type, this, !!bubble);
			} catch (e) {
				//lznews.showErr(e, 'on')
			}
		},
		off: function(type, el, bubble) {
			try {
				el.removeEventListener(type, this, !!bubble);
			} catch (e) {
				//lznews.showErr(e, 'off')
			}
		},
		isIOS: function() {
			return navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/iPad/i);
		},
		isAndroid: function(t) {
			return navigator.userAgent.match(/Android/i);
		},
		androidBack: function(callback) {
			if (this.isAndroid()) {
				plus.key.addEventListener('backbutton', callback);
			}
		},
		androidMenu: function(callback) {
			if (this.isAndroid()) {
				plus.key.addEventListener('menubutton', callback);
			}
		},
		/// <summary>
		///保存文件
		/// {path:文件路径, data:要保存的文件内容, success:成功回调, error：失败回调}
		/// </summary>
		saveFile: function(options) {
			var that = this;
			that.fileSystemAPI.root.getFile(options.path, {
				create: true
			}, function(fileEntry) {
				//保存到临时目录
				fileEntry.createWriter(function(fileWirte) {
					fileWirte.write(JSON.stringify(options.data));
					//这个时候不存文件
					if (options.success)
						options.success();
				}, null);
			}, function(err) {
				//alert("err:" + err.code)
				//if (options.error)
				//options.error(err);
			});
		},
		saveArticle: function(data, articleid) {
			var that = this,
				path = "all_list/" + (articleid || data.id) + ".json";
			if (that.fileSystemAPI)
				that.saveFile({
					path: path,
					data: data
				});
			else
				plus.io.requestFileSystem(plus.io.PRIVATE_DOC, function(fs) {
					that.fileSystemAPI = fs;
					that.saveFile({
						path: path,
						data: data
					});
				});
		},
		/// <summary>
		///保存文件
		/// {srcImg:源文件路径, dstImg:要保存的文件路径, success:成功回调, error：失败回调}
		/// </summary>
		downLoadFile: function(options) {
			var that = this;
			if (!that.fileSystemAPI)
				plus.io.requestFileSystem(plus.io.PUBLIC_DOWNLOADS, function(fs) {
					that.fileSystemAPI = fs;
					that._downLoadFile(options);
					console.log("openFile");
				});
			else
				that._downLoadFile(options);
		},
		_downLoadFile: function(options) {
			var that = this,
				path = options.folderPath + options.dstImg,
				index = path.indexOf('?');
			if (index > 0)
				path = path.substring(0, index);

			//alert(that.fileSystemAPI.root.fullPath);
			that.fileSystemAPI.root.getFile(path, {
				create: false
			}, function(fileEntry) {
				if (options.success)
					options.success(options, true, fileEntry);
			}, function(err) {
				if (that.noImage() || !that.hasNetwork()) return;
				if (options.onNotFund) {
					options.onNotFund(options);
					return;
				}
				//console.log("开始下载："+ path);
				//alert(options.srcImg);
				plus.downloader.createDownload(options.srcImg, {
					filename: path,
					timeout: 600,
					retry: 5
				}, function(d, status) {
					//alert(that.fileSystemAPI.root.fullPath + path);
					if (status == 200) {
						d.abort();
						if (options.success)
							options.success(options, false, d);
					} else {
						if (options.error)
							options.error(options, status, d);
					}
				}).start();
			});
		},
		back: function() {
			var currentPage = plus.webview.currentWebview();
			currentPage.close('slide-out-right', this.getTransferTime());
		},
		updateDB: function() {
			db.transaction(function(tx) {
				tx.executeSql('update article_list set readflag = 0', []);
			});
		},
		setItem: function(key, value) {
			plus.storage.setItem(key, JSON.stringify(value));
		},
		getItem: function(key, noConverted) {
			try {
				var d = plus.storage.getItem(key);
				if (!d || noConverted) return d;
				return JSON.parse(d);
			} catch (ex) {
				//alert(key + ':' + ex.message);

			}
			//return JSON.parse(that.getItem(key))
		},
		remove: function(key) {
			plus.storage.removeItem(key);
		},
		alert: function(message, delay, position) {
			/*
			position = position || 'bottom';
			delay = delay || 2;
			if (this.isAndroid()) {
				plus.nativeUI.toast(message, {
					duration: delay,
					verticalAlign: position
				});
				return;
			}
			var that = this,
				doc = document
			dalert = doc.getElementById('_dialog_alert');
			if (!dalert) {
				dalert = doc.createElement('div');
				dalert.className = 'notification';
				dalert.id = '_dialog_alert';
				dalert.innerHTML = "<div class='window confirm growl show'><strong class='text bold' id='_dialog_message'></strong><small></small></div>";
				doc.body.appendChild(dalert);
			}
			delay = delay * 1000;
			if (that._csdn_timer) {
				clearTimeout(that._csdn_timer);
				//$('#_dialog_alert').remove();
			}
			doc.getElementById("_dialog_message").innerHTML = message;
			if (position == 'bottom') {
				dalert.style.top = 'auto'
			} else if (position == 'top') {
				dalert.style.top = '10px'
			} else { //center
				dalert.style.top = '50%'
			}
			dalert.style.display = "block";
			dalert = null;
			that._csdn_timer = setTimeout(function() {
				//$('#_dialog_alert').hide();
				doc.getElementById('_dialog_alert').style.display = 'none';
			}, delay);
			*/
		},
		closeSplash: function() {
			if (this.hasClosesplash) return;
			this.hasClosesplash = true;
			plus.navigator.closeSplashscreen();
		}
	}
})(window.lznews);