(function(C, B) {
	var page = function() {}
	C.extend(page.prototype, B, {
		shares: {},
		/// <summary>
		/// 是否在显示意见返回页面
		/// </summary>
		isShowingFeedback: false,
		/// <summary>
		/// 是否在显示登陆页面页面
		/// </summary>
		isShowingLogin: false,
		BeforeReady: function() {
			try {
				var that = this,
					doc = document,
					size = "0.0",
					cacheKey = that.cacheKey,
					fixNum,
					fixedNum;
				//字体设置
				jQuery("input[name='radiofontSzit'][title='" + that.getFontSize(that.cacheKey.FontSize).text + "']").attr("checked", "checked");
				jQuery("input[name='radiofontSzit']").click(function() {
					if (jQuery(this).attr("checked")) {
						that.changeFont(jQuery(this).attr("title"));
					}
				})
				jQuery("#btnclearCache").click(function() {
					that.clear();
				});
				//doc.getElementById("selFont").value = that.getFontSize(cacheKey.FontSize).text;
				//推送设置
				//doc.getElementById("pushSwitch").checked = that.getItem(cacheKey.push) ? true : false;
				//无图设置
				if (that.getItem(that.cacheKey.noImage)) {
					doc.getElementById("imgSwitch").classList.add('mui-active');
				}
				doc.getElementById("imgSwitch").addEventListener("toggle", function(event) {
					that.setItem(that.cacheKey.noImage, event.detail.isActive);
				});
				that.initShare();
				mui("#bnt-login").on("tap", "a", function() {
					var id = this.getAttribute("lid");
					var ex = this.getAttribute("ex");
					
					switch (id) {
						case "copy":
							that.copy(that.appdownloadUrl);
							break;
						default:
						    if(!that.shares[id] || !that.shares[id].nativeClient){
						    	return;
						    }
							var isUseShare = that.getItem(that.cacheKey.isUseShare);
							if (isUseShare && isUseShare == 1) {
								that.shareAction(id, ex);
							} else {
								plus.nativeUI.confirm("是否要启用分享插件?", function(e) {
									if (e.index == 0) {
										that.setItem(that.cacheKey.isUseShare, 1);
										isUseShare = 1;
										that.shareAction(id, ex);
									}
								}, "", ["是", "否"]);
							}
							break;
					}
				});

			} catch (ex) {
				console.log(ex);
			}
		},
		OnReady: function() {
			var that = this,
				doc = document;
			that.init();
		},
		clear: function() {
			var that = this;
			plus.cache.clear(function() {
				if (!that.fileSystemAPI) {
					plus.io.requestFileSystem(plus.io.PUBLIC_DOWNLOADS, function(fs) {
						that.fileSystemAPI = fs;
						that.fileSystemAPI.root.removeRecursively(function(entry) {});
					});
				} else {
					that.fileSystemAPI.root.removeRecursively(function(entry) {});
				}
				plus.nativeUI.alert("缓存清理完毕!", function() {
					document.getElementById("clearCache").innerHTML = "0.00MB";
				}, "", "确定");
			});
		},
		changeFont: function(val) {
			var that = this;
			that.setFontSize({
				text: val,
				value: that.customerFontSize[val]
			});
			if (that.isIOS()) {
				plus.webview.getWebviewById("news-index").evalJS("setListFonSize();");
			} else {
				plus.webview.getWebviewById("news-sub").evalJS("setListFonSize();");
			}
		},
		initShare: function() {
			var that = this;
			//初使化列表
			plus.share.getServices(function(s) {
				that.shares = {};
				for (var i in s) {
					var t = s[i];
					if(t.nativeClient){
						jQuery("a.bnt-login[lid='" + t.id + "']").show();
						that.shares[t.id] = t;
					}else{
						jQuery("a.bnt-login[lid='" + t.id + "']").addClass("grayscale");
					}
				}
				
			}, function(e) {
				mui.toast('获取分享服务列表失败');
				//alert("获取分享服务列表失败：" + e.message);
			});
		},
		shareAction: function(id, ex) {
			var that = this;
			var s = null;

			if (!id || !(s = that.shares[id]) || !that.shares[id].nativeClient) {
				//alert("无效的分享服务！");
				mui.toast('无效的分享服务');
				return;
			}
			if (s.authenticated) {
				//alert("---已授权---");
				that.shareMessage(s, ex);
			} else {
				//alert("---未授权---");
				s.authorize(function() {
					that.shareMessage(s, ex);
				}, function(e) {
					mui.toast('认证授权失败');
					//alert("认证授权失败：" + e.code + " - " + e.message);
				});
			}
		},
		shareMessage: function(s, ex) {
			var that = this;
			var msg = {
				href: that.appdownloadUrl,
				title: "来宾壹报",
				content: "看新闻、看报纸、看资讯、新闻爆料、娱乐互动",
				thumbs: ["images/logo.png"],
				extra: {
					scene: ex
				}
			};
			s.send(msg, function() {
				mui.toast('已成功分享到' + s.description);
				//alert("分享到\"" + s.description + "\"成功！ ");
			}, function(e) {
				mui.toast('分享到' + s.description + "时出现未知错误");
				//alert("分享到\"" + s.description + "\"失败: " + e.code + " - " + e.message);
			});
		}
	});
	window.page = new page();
	document.addEventListener("plusready", function() {
		setTimeout(function() {
			window.page.BeforeReady();
			window.page.OnReady();
		}, 100);
	});
})(lznews, lznews.basepage);

function getTotalCache() {
	plus.cache.calculate(function(size) {
		document.getElementById("clearCache").innerHTML =  (size/(1024 * 1024)).toFixed(2) + "MB";
	});
}