(function(C, B) {
	var page = function() {}
	C.extend(page.prototype, B, {
		isShow: false,
		searchText: document.getElementById("searchText"),
		BeforeReady: function() {
			var that = this;
			Date.prototype.format = function(format) {
				var o = {
					"M+": this.getMonth() + 1, //month 
					"d+": this.getDate(), //day 
					"h+": this.getHours(), //hour 
					"m+": this.getMinutes(), //minute 
					"s+": this.getSeconds(), //second 
					"q+": Math.floor((this.getMonth() + 3) / 3), //quarter 
					"S": this.getMilliseconds() //millisecond 
				}
				if (/(y+)/.test(format)) {
					format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
				}
				for (var k in o) {
					if (new RegExp("(" + k + ")").test(format)) {
						format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
					}
				}
				return format;
			};
			mui("#list").on("tap", "li", function() {
				if (that.isShow) {
					return;
				}
				var nid = this.getAttribute("tid");
				var surl = this.getAttribute("url");
				var title = this.getAttribute("title");
				console.log("title:" + title);
				//var wvs = plus.webview.all();
				this.mainWebview = plus.webview.getWebviewById("index");
				this.mainWebview.evalJS("showNews(\"" + surl + "\",\"" + nid + "\",\"" + encodeURI(title) + "\",\"\");");
			});
			document.getElementById("search").addEventListener("tap", function(event) {
				if (jQuery.trim(that.searchText.value) == "") {
					plus.nativeUI.toast("请输入搜索的关键字", {
						duration: "long"
					});
					that.searchText.focus();
					return;
				}
				//alert(searchText.value);
				jQuery("#list").empty();
				that.searchList(that.searchText.value);
			});
		},
		searchList: function(t) {
			var that = this;
			var wt = plus.nativeUI.showWaiting("正在搜索，请稍候...");
			var url = "http://api.lznews.gov.cn/api/mobileappapi.ashx?api=search&keyword=" + t;
			console.log("url" + url);
			mui.ajax(url, {
				dataType: 'json', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 60000, //超时时间设置为10秒；
				success: function(data) {
					//alert("AAAAAAAAAA" +data.data.length);
					var ta = document.getElementById("list");
					if (data.data) {
						for (var i = 0; i < data.data.length; i++) {
							var li = document.createElement('li');
							li.className = 'mui-table-view-cell';
							li.setAttribute("tid", data.data[i].id);
							li.setAttribute("url", data.data[i].url);
							li.setAttribute("title", data.data[i].title);
							li.innerHTML = data.data[i].title;
							var button = document.createElement("button");
							button.className = "mui-btn mui-icon mui-icon-minus";
							button.setAttribute("tid", data.data[i].id);
							//button.onclick=deleteItem;
							//li.appendChild(button);
							var p = document.createElement("p");
							p.innerHTML = that.getDateText(data.data[i].inputtime);
							//p.innerHTML = data.data[i].inputtime;
							li.appendChild(p)
							ta.appendChild(li);
						}
					} else {
						wt.close();
						plus.nativeUI.toast("没有搜索到相关关键字", {
							duration: "long"
						});
					}
					wt.close();
				},
				error: function(xhr, type, errorThrown) {
					//异常处理；
					mui.toast('发生网络错误，请稍后重试!');
					mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
					mui('#pullrefresh').pullRefresh().endPullupToRefresh(false);
				}
			});
		},
		loadList: function() {
			//var that = this;
			//jQuery("#list").empty();
			//that.searchText.values = "";
		},
		getDateText: function(timespan) {
			var unixTimestamp = new Date(parseInt(timespan) * 1000);
			return unixTimestamp.format("yyyy-MM-dd hh:mm:ss");
		}
	});
	window.page = new page();
	document.addEventListener("plusready", function() {
		setTimeout(function() {
			window.page.BeforeReady();
		}, 100);
	});
})(lznews, lznews.basepage);