﻿(function(C, B) {
	var page = function() {}
	C.extend(page.prototype, B, {
		ispostLogin: false,
		websynlogin: null,
		auths: {},
		account: document.getElementById("account"),
		password: document.getElementById("password"),
		webparent: null,
		cLogin: null,
		webshowRegister: null,
		ClientInfo: null,
		parentPage: null,
		isQQInstalled: null,
		isWXInstalled: null,
		BeforeReady: function() {
			var that = this;
			that.webparent = plus.webview.currentWebview().parent();
			if (plus.webview.currentWebview().parentPage) {
				that.parentPage = plus.webview.getWebviewById(plus.webview.currentWebview().parentPage);
			}
			that.ClientInfo = plus.push.getClientInfo();
			document.getElementById("login").addEventListener("click", function() {
				that.login();
			}, false);
			document.getElementById("register").addEventListener("click", function() {
				that.register();
			}, false);
			if (that.getItem(that.cacheKey.access_uc_loginName)) {
				that.account.value = that.getItem(that.cacheKey.access_uc_loginName);
			}
			if (that.isIOS()) {
				if(that.getItem(that.cacheKey.isAutoLogin)==1){
					var TencentOAuth = plus.ios.import("TencentOAuth");
					that.isQQInstalled = TencentOAuth.iphoneQQInstalled();
					var WXApi = plus.ios.import("WXApi");
					that.isWXInstalled = WXApi.isWXAppInstalled();
				}
				else{
					that.isQQInstalled=false;
					that.isWXInstalled=false;
				}

			}
			else{
				that.isQQInstalled=true;
				that.isWXInstalled=true;
				
			}
			//初使化第三方登陆验证
			that.initAuths();
			//添加登陆按钮事件
			mui(".bnt-login").on("tap", "a", function() {
				if (that.cLogin) {
					clearTimeout(that.cLogin);
				}
				var lid = this.getAttribute("lid");
				var auth = that.auths[lid];
				if (auth && (lid == "qq" || lid == "weixin" || lid == "sinaweibo")) {
					var isUseAauth = that.getItem(that.cacheKey.isUseAauth);
					if (isUseAauth && isUseAauth == 1) {
						console.log("登陆第三方平台验证");
						plus.nativeUI.showWaiting("正在登陆，请稍候...");
						that.cLogin = setTimeout(function() {
							mui.toast('认证超时！');
							plus.nativeUI.closeWaiting();
						}, 30000);
						that.AuthsLogin(lid);
					} else {
						plus.nativeUI.confirm("是否要启用第三方安全插件进行登陆验证?", function(e) {
							if (e.index == 0) {
								that.setItem(that.cacheKey.isUseAauth, 1);
								isUseAauth = 1;
								console.log("登陆第三方平台验证");
								plus.nativeUI.showWaiting("正在登陆，请稍候...");
								that.cLogin = setTimeout(function() {
									mui.toast('认证超时！');
									plus.nativeUI.closeWaiting();
								}, 30000);
								that.AuthsLogin(lid);
							}
						}, "", ["是", "否"]);
					}
				}
			});
		},
		login: function() {
			var that = this;
			if (that.ispostLogin) {
				return;
			}
			if (that.account.value == "") {
				that.showAlert("请输入登陆帐号！");
				that.account.focus();
				return;
			}
			if (that.password.value == "") {
				that.showAlert("请输入密码！");
				that.password.focus();
				return;
			}
			that.ispostLogin = true;
			var waiting = plus.nativeUI.showWaiting("验证信息...");
			that.cLogin = setTimeout(function() {
				mui.toast('认证超时！');
				plus.nativeUI.closeWaiting();
			}, 30000);
			mui.ajax(that.jsonp_Server +"api/appuser.ashx", {
				data: {
					api: "homelogin",
					username: that.account.value,
					password: that.password.value,
					clientid: that.ClientInfo.clientid
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 30000, //超时时间设置为10秒；
				success: function(data) {
					that.ispostLogin = false;
					if (data.status == 0) {
						var usermanu = plus.webview.getWebviewById("user/index-menu");
						usermanu.evalJS("window.page.setUserInfor('" + data.userinfor.nickname + "','" + data.userinfor.figureurl + "');");
						console.log("data.access_type:" + data.access_type);
						that.setItem(that.cacheKey.access_type, data.access_type);
						that.setItem(that.cacheKey.access_token, "");
						that.setItem(that.cacheKey.access_code, "");
						that.setItem(that.cacheKey.access_expires_in, 9999);
						that.setItem(that.cacheKey.access_uc_token, data.token);
						that.setItem(that.cacheKey.access_uc_loginName, that.account.value);
						if (plus.webview.currentWebview().parentPage) {
							that.parentPage.hide("none", 0);
						}
						that.synlogin(data.token, data.userinfor.nickname, data.userinfor.figureurl);
					} else {
						clearTimeout(that.cLogin);
						plus.nativeUI.closeWaiting();
						that.showAlert(data.error);
					}
				},
				error: function(xhr, type, errorThrown) {
					clearTimeout(that.cLogin);
					waiting.setTitle("网络异常");
					setTimeout(function() {
						plus.nativeUI.closeWaiting();
						that.ispostLogin = false;
					}, 500);
					console.log(errorThrown);
				}
			});
		},
		register: function() {
			var that = this;
			if (that.webshowRegister == null) {
				that.webshowRegister = plus.webview.create("home-register.html", "home-register", {
					zindex: 6,
					popGesture: "hide"
				}, {
					parentPage: "head-home-login"
				});
				that.webshowRegister.addEventListener("loaded", function() {
					that.webshowRegister.show('slide-in-right', 200);
				})
			} else {
				that.webshowRegister.show('slide-in-right', 200);
			}
		},
		initAuths: function() {
			var that = this;
			that.auths = {};
			plus.oauth.getServices(function(services) {
				for (var i in services) {
					var service = services[i];
					if (that.isIOS()) {
						if (service.id == "qq") {
							if (that.isQQInstalled&&that.isQQInstalled==1) {
								that.auths[service.id] = service;
								jQuery(".bnt-login-qq").closest("li").show();
							} 
						} else if (service.id == "weixin") {
							if (that.isWXInstalled&&that.isWXInstalled==1) {
								that.auths[service.id] = service;
								jQuery(".bnt-login-weixin").closest("li").show();
							} 
						} else {
							that.auths[service.id] = service;
						}
					} else {
						that.auths[service.id] = service;
						if (service.id == "qq") {
							jQuery(".bnt-login-qq").closest("li").show();
						}
						else if (service.id == "weixin") {
							jQuery(".bnt-login-weixin").closest("li").show();
						}
					}
				}
			});
		},
		AuthsLogin: function(id) {
			var that = this;
			var auth = that.auths[id];
			if (auth) {
				try {
					auth.login(function() {
							console.log("登录认证成功：" + id);
							//console.log(auth.authResult);
							if (auth.authResult) {
								console.log(JSON.stringify(auth.authResult));
								//that.access_type = id;
								that.setItem(that.cacheKey.access_type, id);
								if (id == "sinaweibo") {
									that.setItem(that.cacheKey.access_token, auth.authResult.token);
									that.setItem(that.cacheKey.access_expires_in, auth.authResult.expires_time);
								} else {
									that.setItem(that.cacheKey.access_token, auth.authResult.access_token);
									that.setItem(that.cacheKey.access_expires_in, auth.authResult.expires_in);
									if (auth.authResult.code) {
										that.setItem(that.cacheKey.access_code, auth.authResult.code);
									}
								}
							}
							var access_token = that.getItem(that.cacheKey.access_token);
							auth.getUserInfo(function() {
								if (auth.id == "qq") {
									//that.setUserInfor(auth.userInfo.nickname, auth.userInfo.figureurl_1);
									console.log(JSON.stringify(auth.userInfo));
									mui.ajax(that.jsonp_Server +"api/appuser.ashx", {
										data: {
											api: "qqregister",
											access_token: access_token,
											nickname: auth.userInfo.nickname,
											figureurl: auth.userInfo.figureurl_1,
											clientid: that.ClientInfo.clientid
										},
										dataType: 'json', //服务器返回json格式数据
										type: 'post', //HTTP请求类型
										timeout: 60000, //超时时间设置为10秒；
										success: function(data) {
											if (data.status == 0) {
												that.setItem(that.cacheKey.access_uc_token, data.token);
												that.synlogin(data.token, auth.userInfo.nickname, auth.userInfo.figureurl_1);
											} else {
												clearTimeout(that.cLogin);
												plus.nativeUI.closeWaiting();
												that.showAlert(data.error);
											}
										},
										error: function(xhr, type, errorThrown) {
											console.log(errorThrown);
											that.clearAccesstoken();
											clearTimeout(that.cLogin);
											plus.nativeUI.closeWaiting();
										}
									});
								} else if (auth.id == "weixin") {
									console.log(JSON.stringify(auth.userInfo));
									//that.setUserInfor(auth.userInfo.nickname, auth.userInfo.headimgurl);
									mui.ajax(that.jsonp_Server +"api/appuser.ashx", {
										data: {
											api: "weixinregister",
											access_token: auth.authResult.access_token,
											openid: auth.userInfo.openid,
											clientid: that.ClientInfo.clientid
										},
										dataType: 'json', //服务器返回json格式数据
										type: 'post', //HTTP请求类型
										timeout: 60000, //超时时间设置为10秒；
										success: function(data) {
											console.log(JSON.stringify(data));
											if (data.status == 0) {
												that.setItem(that.cacheKey.access_uc_token, data.token);
												that.synlogin(data.token, auth.userInfo.nickname, auth.userInfo.headimgurl);
											} else {
												clearTimeout(that.cLogin);
												plus.nativeUI.closeWaiting();
												that.showAlert(data.error);
											}
										},
										error: function(xhr, type, errorThrown) {
											console.log(errorThrown);
											clearTimeout(that.cLogin);
											that.clearAccesstoken();
											plus.nativeUI.closeWaiting();
										}
									});
								} else if (auth.id == "sinaweibo") {
									console.log(JSON.stringify(auth.userInfo));
									//that.setUserInfor(auth.userInfo.nickname, auth.userInfo.headimgurl);
									mui.ajax(that.jsonp_Server +"api/appuser.ashx", {
										data: {
											api: "sinaweiboregister",
											access_token: auth.authResult.token,
											openid: auth.authResult.uid,
											clientid: that.ClientInfo.clientid
										},
										dataType: 'json', //服务器返回json格式数据
										type: 'post', //HTTP请求类型
										timeout: 60000, //超时时间设置为10秒；
										success: function(data) {
											console.log(JSON.stringify(data));
											if (data.status == 0) {
												that.setItem(that.cacheKey.access_uc_token, data.token);
												that.synlogin(data.token, auth.userInfo.name, auth.userInfo.avatar_hd);
											} else {
												clearTimeout(that.cLogin);
												plus.nativeUI.closeWaiting();
												that.showAlert(data.error);
											}
										},
										error: function(xhr, type, errorThrown) {
											console.log(errorThrown);
											clearTimeout(that.cLogin);
											that.clearAccesstoken();
											plus.nativeUI.closeWaiting();
										}
									});
								}
							});
							//userinfo(auth);
						},
						function(e) {
							console.log("登录认证失败：");
							console.log("[" + e.code + "]：" + e.message);
							clearTimeout(that.cLogin);
							that.clearAccesstoken();
							plus.nativeUI.closeWaiting();
						});
				} catch (ex) {
					plus.nativeUI.closeWaiting();
					clearTimeout(that.cLogin);
					that.clearAccesstoken();
					console.log(ex);
				}
			} else {
				clearTimeout(that.cLogin);
				plus.nativeUI.closeWaiting();
				console.log("无效的登录认证通道！");
				console.log("无效的登录认证通道！", null, "登录");
				that.clearAccesstoken();
			}
		},
		clearAccesstoken: function() {
			var that = this;
			that.remove(that.cacheKey.access_type);
			that.remove(that.cacheKey.access_token);
			that.remove(that.cacheKey.access_code);
			that.remove(that.cacheKey.access_expires_in);
			that.remove(that.cacheKey.access_uc_token);
		},
		synlogin: function(token, nickname, figureurl) {
			var that = this;
			plus.nativeUI.closeWaiting();
			that.webparent.hide();
			var usermanu = plus.webview.getWebviewById("user/index-menu");
			figureurl=figureurl==""?"../images/noavatar_middle.gif":figureurl;
			console.log(figureurl);
			usermanu.evalJS("window.page.setUserInfor('" + nickname + "','" + figureurl + "');");
			clearTimeout(that.cLogin);
		}
	});
	window.page = new page();
	document.addEventListener("plusready", function() {
		setTimeout(function() {
			window.page.BeforeReady();
		}, 100);
	});
})(lznews, lznews.basepage);